#ifndef __NLL_MEMORY_H_INCLUDED__
#define __NLL_MEMORY_H_INCLUDED__

int memory_check(void);
void *memory_alloc(int size);
int memory_free(void *p);
int memory_init(void);
int memory_done(void);

/* for MEMORY_EXTERNAL_LIBRARY */
int ext_memory_check(void);
void *ext_memory_alloc(int size);
int ext_memory_free(void *p);
int ext_memory_init(void);
int ext_memory_done(void);

#endif
